package org.zkoss.zssex.util;

import org.jfree.chart.JFreeChart;
import org.jfree.chart.plot.PiePlot;
import org.zkoss.zss.model.SChart;

public class PieChartExportEngine extends ZssChartExportEngine {

	public PieChartExportEngine(SChart chartInfo) {
		super(chartInfo);
	}
	
	protected boolean prepareJFreeChart(JFreeChart jfchart) {
		super.prepareJFreeChart(jfchart);
		final PiePlot plot = (PiePlot) jfchart.getPlot();
		plot.setLabelGenerator(null); //do not generate link label around Pie chart
		return false;
	}

}
